petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoLineSearchSetType

Sets the algorithm used in a line search

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetType(TaoLineSearch ls, const TaoLineSearchType type)

Collective on TaoLineSearch

### Input Parameters

| ls | - the TaoLineSearch context
| type | - a known method

### Available methods include

| more | - thuente
| gpcg | - - unit - Do not perform any line search

### Options Database Keys

| -tao_ls_type | - select which method TAO should use

### See Also

TaoLineSearchCreate(), TaoLineSearchGetType(), TaoLineSearchApply()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages